Skip to main content
POST
/
relay
/
v1
/
policy-groups
/
{groupId}
/
transfer-ownership
Transfer ownership of a policy group
curl --request POST \
  --url https://api.swarmd.ai/relay/v1/policy-groups/{groupId}/transfer-ownership \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "primaryUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "secondaryUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "reason": "<string>"
}
'
{
  "groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "version": "<string>",
  "name": "<string>",
  "description": "<string>",
  "regoSource": "<string>",
  "regoSourceHash": "<string>",
  "bindingCount": 123,
  "validFrom": "2023-11-07T05:31:56Z",
  "validTo": "2023-11-07T05:31:56Z",
  "createdAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

JWT token (USER, AGENT, or SERVICE auth)

Path Parameters

groupId
string<uuid>
required

Body

application/json
primaryUserId
string<uuid>
required
secondaryUserId
string<uuid>
reason
string

Response

200 - application/json

OK

groupId
string<uuid>
version
string
name
string
description
string
regoSource
string
regoSourceHash
string
bindingCount
integer<int64>
validFrom
string<date-time>
validTo
string<date-time>
createdAt
string<date-time>